For the complete documentation index, see llms.txt. This page is also available as Markdown.

Shipping Configuration (carrier)

Endpoints to read and update the shipping configuration.

Get the shipping configuration

get

This part of the API is in Alpha status. For details, see the API release lifecycle documentation. Retrieves the tenant-wide shipping configuration. A default configuration is created automatically on first access.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Responses
200

Successfully retrieved the shipping configuration.

application/json

ShippingConfiguration

createdstring · date-timeRequired

Creation date of this shippingConfiguration

Example: 2020-02-03T09:45:51.525Z
idstringRequired

Unique identifier of this shippingConfiguration

Example: 019f943c-687a-78cd-8d00-54323281eb27
lastModifiedstring · date-timeRequired

Last modification date of this shippingConfiguration

Example: 2020-02-03T09:45:51.525Z
versionnumberRequired

Version number of this shippingConfiguration

Example: 1
get/api/configurations/shipping
GET /api/configurations/shipping HTTP/1.1
Host: your-tenant-name.api.fulfillmenttools.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "created": "2020-02-03T09:45:51.525Z",
  "id": "019f943c-687a-78cd-8d00-54323281eb27",
  "lastModified": "2020-02-03T09:45:51.525Z",
  "recommendationConfiguration": {
    "priceType": "customs"
  },
  "version": 1
}

Create or update the shipping configuration

patch

This part of the API is in Alpha status. For details, see the API release lifecycle documentation. Creates or updates the tenant-wide shipping configuration. The version must match the currently persisted version.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body

ShippingConfigurationForUpdate

versionnumberRequired

Version number of this shippingConfiguration

Example: 1
Responses
200

Successfully created or updated the shipping configuration.

application/json

ShippingConfiguration

createdstring · date-timeRequired

Creation date of this shippingConfiguration

Example: 2020-02-03T09:45:51.525Z
idstringRequired

Unique identifier of this shippingConfiguration

Example: 019f943c-687a-78cd-8d00-54323281eb27
lastModifiedstring · date-timeRequired

Last modification date of this shippingConfiguration

Example: 2020-02-03T09:45:51.525Z
versionnumberRequired

Version number of this shippingConfiguration

Example: 1
patch/api/configurations/shipping
PATCH /api/configurations/shipping HTTP/1.1
Host: your-tenant-name.api.fulfillmenttools.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 67

{
  "recommendationConfiguration": {
    "priceType": "customs"
  },
  "version": 1
}
{
  "created": "2020-02-03T09:45:51.525Z",
  "id": "019f943c-687a-78cd-8d00-54323281eb27",
  "lastModified": "2020-02-03T09:45:51.525Z",
  "recommendationConfiguration": {
    "priceType": "customs"
  },
  "version": 1
}

Last updated

Was this helpful?